/******************************************************************************
**** Template Instructions ****************************************************
*******************************************************************************
*   Use Ctrl-Shift-M to set Template Parameters
*       -or-
*   From the Standard Toolbar, navigate to:
*       Query->Specify Values for Template Parameters
*
*   Parameter                 | Description
*   --------------------------|-----------------------------------------------------------
*   Database                  | The name of the database {iCMSA, iDTSA, iDTFM, iBNSA}.
*                             |   This is only used in the "use" statement at
*                             |   the top of the script.
*   EntityType                | The name of enity, it could be used only 
							  |	word "Dimension" or "Fact".  The name will be
*                             |   prepended with "Dim" or "Fact", so if you enter "Sample"
*                             |   the dimension will be named "DimSample" or fact "FactSample".  
							  | This is used extensively throughout the script.
*   EntityName                | This is the name of the entity.
*					          | This is the name of the primary source table.
*                             |   It is used to pre-populate some extended
*                             |   properties and DQF configuration
*   DebugMode                 | This is the bit flag for detailed output during processing.
							  | {1=normal, 2= Detailed output }
*
********************************************************************************************/
use <Database,,iCMSA>
go


declare @EntityType varchar(100)= case when '<Entitytype,,Dimension/Fact>'='Dimension' then 'Dim' when '<Entitytype,,Sample>'='Fact' then 'Fact' end + '<EntityName,,Sample>'
exec HEA.ProcessEntity @EntityCode=@EntityType,@DebugMode='<DebugMode,,1>'''